Agents

CertiWise monitoring summary KPIs

GET
/organizations/{organizationId}/certiwise/monitoring/summary

Path Parameters

organizationId*string
Formatuuid

Query Parameters

timeRange?string

Value in

  • "1h"
  • "24h"
  • "7d"
  • "30d"
  • "90d"
applicationId?string

Header Parameters

x-organization-role*string

Portal impersonation role (pair with x-organization-id)

Value in

  • "ORG_ADMIN"
  • "ORG_MEMBER"
x-organization-id*string

Must match the organizationId path segment

Formatuuid

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/organizations/497f6eca-6276-4993-bfeb-53cbbbba6f08/certiwise/monitoring/summary" \  -H "x-organization-role: ORG_ADMIN" \  -H "x-organization-id: 497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "totalMonitored": 0,  "expiredDetected24h": 0,  "expiringSoon30d": 0,  "totalScans24h": 0,  "totalScans7d": 0,  "agentsOnline": 0,  "agentsOffline": 0,  "activeAgents": 0,  "handshakes24h": 0,  "failedDeployments24h": 0,  "deploymentSuccessRate": 0,  "lastUpdatedAt": "2019-08-24T14:15:22Z",  "periodChanges": {    "totalMonitored": 0,    "expiredDetected24h": 0,    "expiringSoon30d": 0,    "totalScans24h": 0  }}
{  "message": "string"}
{  "message": "string"}